#include <stdio.h>
#include <stdlib.h>
#include <vector>
using namespace std;

int main()
{
    
    long long int n,k;
    vector<long long int> v;
    long long int br=0;
    scanf("%lld%lld",&n,&k);
    long long int *a=(long long int*)calloc(2*n+1,sizeof(long long int));
    for(long long int i=0;i<n;i++)
    {
        long long int x;
        scanf("%lld",&x);
        a[n+x]++;
        if(a[n+x]==k)
        {
            br++;
            v.push_back(x);
        }
    }
    printf("%lld\n",br);
    for(vector<long long int> :: iterator it=v.begin();it!=v.end();it++)
        printf("%lld ",*it);
    return 0;
}